#### D.4.8.2 printGraph

Procedure from library `ellipticcovers.lib` (see ellipticcovers_lib).

Usage:
  printGraph(G); G graph

Assume:
  G is a graph.

Theory:
  This is the print function used by Singular to print a graph.

Example:

    LIB "ellipticcovers.lib";
    ring R=(0,x1,x2,x3,x4),(q1,q2,q3,q4,q5,q6),dp;
    graph G = makeGraph(list(1,2,3,4),list(list(1,3),list(1,2),list(1,2),list(2,4),list(3,4),list(3,4)));
    G;
    ==> [[1, 3], [1, 2], [1, 2], [2, 4], [3, 4], [3, 4]]
    ==> Graph with 4 vertices and 6 edges
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.